com.lowagie.text.xml.simpleparser

## Class EntitiesToSymbol

- java.lang.Object
- - com.lowagie.text.xml.simpleparser.EntitiesToSymbol

    public class EntitiesToSymbol
    extends java.lang.Object

This class contains entities that can be used in an entity tag.

### Field Summary

Fields
`static java.util.HashMap` `map` This is a map that contains all possible id values of the entity tag that can be translated to a character in font Symbol.

### Constructor Summary

Constructors
Constructor and Description
`EntitiesToSymbol()`

### Method Summary

Methods
`static Chunk` `get(java.lang.String e, Font font)` Gets a chunk with a symbol character.
`static char` `getCorrespondingSymbol(java.lang.String name)` Looks for the corresponding symbol in the font Symbol.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### map

    public static final java.util.HashMap map

This is a map that contains all possible id values of the entity tag that can be translated to a character in font Symbol.

### Constructor Detail

#### EntitiesToSymbol

    public EntitiesToSymbol()

### Method Detail

#### get

    public static Chunk get(java.lang.String e,
            Font font)

Gets a chunk with a symbol character.

Parameters:
  `e` - a symbol value (see Entities class: alfa is greek alfa,...)
  `font` - the font if the symbol isn't found (otherwise Font.SYMBOL)
Returns:
  a Chunk

#### getCorrespondingSymbol

    public static char getCorrespondingSymbol(java.lang.String name)

Looks for the corresponding symbol in the font Symbol.

Parameters:
  `name` - the name of the entity
Returns:
  the corresponding character in font Symbol